|  | Home · All Classes · Modules

# QStyleOptionViewItemV2.ViewItemFeatures Class Reference
[QtGui module]

### Methods

- __init__ (self, ViewItemFeatures)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- ViewItemFeatures __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, ViewItemFeatures f)
- ViewItemFeatures __iand__ (self, int mask)
- int __int__ (self)
- ViewItemFeatures __invert__ (self)
- ViewItemFeatures __ior__ (self, ViewItemFeatures f)
- ViewItemFeatures __ixor__ (self, ViewItemFeatures f)
- bool __ne__ (self, ViewItemFeatures f)
- ViewItemFeatures __or__ (self, ViewItemFeatures f)
- ViewItemFeatures __or__ (self, int f)
- ViewItemFeatures __xor__ (self, ViewItemFeatures f)
- ViewItemFeatures __xor__ (self, int f)

## Detailed Description

ViewItemFeature may be used whenever ViewItemFeatures is expected.

## Method Documentation

### ViewItemFeatures.__init__ (self, ViewItemFeatures)

### ViewItemFeatures.__init__ (self, int)

### ViewItemFeatures.__init__ (self)

### ViewItemFeatures ViewItemFeatures.__and__ (self, int mask)

### int ViewItemFeatures.__bool__ (self)

### bool ViewItemFeatures.__eq__ (self, ViewItemFeatures f)

### ViewItemFeatures ViewItemFeatures.__iand__ (self, int mask)

### int ViewItemFeatures.__int__ (self)

### ViewItemFeatures ViewItemFeatures.__invert__ (self)

### ViewItemFeatures ViewItemFeatures.__ior__ (self, ViewItemFeatures f)

### ViewItemFeatures ViewItemFeatures.__ixor__ (self, ViewItemFeatures f)

### bool ViewItemFeatures.__ne__ (self, ViewItemFeatures f)

### ViewItemFeatures ViewItemFeatures.__or__ (self, ViewItemFeatures f)

### ViewItemFeatures ViewItemFeatures.__or__ (self, int f)

### ViewItemFeatures ViewItemFeatures.__xor__ (self, ViewItemFeatures f)

### ViewItemFeatures ViewItemFeatures.__xor__ (self, int f)